{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block header %}
{% endblock header %}

{% block "account_maintenance" %}
  <div id='account_maintenance'>
    <span class='account_maintenance_entry'><a href='/lessons'>Back to your home page</a></span>
    </div>
{% endblock "account_maintenance" %}


{% block content %}
  <div id='signup_form'>
    <div class="clearfix">
      {% block "lion" %}
        <a href='/lion'><img src="{% static 'graphics/edutex.png' %}" alt="TeX lion teaching" id="lion_pic"></a>
        {% endblock "lion" %}
      <h2 id="signup">Change your profile</h2>
      <h3>Instructions</h3>

      <p>For user information, we need your email to send you a new password 
        if you lose your current one.
        The certificate name is there because you 
        may not want your user name on the certificate.
        Instead enter your real world name, such as &quot;Julie Smith&quot;
        If you are using the certificate for a course
        you may want something like
        &quot;Julie Smith, student number 10123045.&quot;
        </p>

      <p>The video series lets you customize what you see.
        The videos are from the same script so they cover 
        exactly the same things, but they demonstrate using different 
        platforms.
        Choose the one that best matches your setup. 
        </p>
      </div>  {# ends class="clearfix" #}

  <form action="." method="post">
    {% csrf_token %}
    <h3>User information</h3>
    {% if profile_fm.errors %}
      <div id='errors'>
      <p id='error-announcement'>Your information contained errors, sorry.</p>
        {% for error in profile_fm.non_field_errors %}
          <p class="alert alert-danger">{{ error.as_text|escape }}
            </p>
          {% endfor %}
      {% endif %}
    <table>
      {% for field in profile_fm.visible_fields %}
      <tr class="field_row">
        <td class='form_tag'>{{ field.label_tag }}</td> 
        <td>{{ field }}&nbsp;
          {% if field.errors %}Error: {{ field.errors.as_text }}</td>
            {% else %}<span class='form_comment'>{{ field.help_text }}
              {% if field.field.required %}(required){% endif %}</span>
            {% endif %}
          </td>
        </tr>
        {% endfor %}
      </table>
    {# Now the video series forms  #}
    <h3>Available video series</h3>
    {{ vs_fm.management_form }}
    {% for fm in vs_fm %}
      {% if fm.errors %}
        <div id='errors'>
        <p id='error-announcement'>Your information contained errors, sorry.</p>
          {% for error in fm.non_field_errors %}
            <p class="alert alert-danger">{{ error.as_text|escape }}
              </p>
            {% endfor %}
        </div>
        {% endif %}
      <table> 
        {% for field in fm.visible_fields %}
          <tr class="field_row">
            <td class='form_tag'>Video series for {{field.label_tag|safe}}</td> 
            <td>{{ field }}&nbsp;
              {% if field.errors %}Error: {{ field.errors.as_text }}
                {% else %}
	          <!-- <span class='form_comment'>{{ field.help_text }} -->
                  <!-- {% if field.field.required %}(required){% endif %}</span> -->
              </td>
                {% endif %}
            </tr>
          {% endfor %}
        </table>
      {% endfor %}  {# ends for fm in vs_forms #}
      {% for hidden in profile_fm.hidden_fields %}{{ hidden }}{% endfor %}
      {% for hidden in vs_fm.hidden_fields %}{{ hidden }}{% endfor %}
      <p><input type="submit" value="Make the changes" />
        </p>
    </form>
  </div>  <!-- signup_form div -->

{% endblock %}

